<?php

class Tx_MfcHtmltag_Hooks_T3libPagerendererHook {
	/**
	 * @param array $params
	 * @param t3lib_PageRenderer $pObj
	 * @return void
	 */
	public function renderPostProcess(&$params, &$pObj) {
			// Get the main configuration
		$config = $GLOBALS['TSFE']->config['config'];
		if (isset($config['tx_mfchtmltag.'])) {
				// Add the new custom <html>-tag
			if ($config['tx_mfchtmltag.']['htmlTag']) {
				$params['htmlTag'] = $config['tx_mfchtmltag.']['htmlTag'];
			}
				// Add the shorten metaCharset-tag and add additionally
				// the X-UA-Compatible parameter
			if ($config['tx_mfchtmltag.']['metaCharsetTag']) {
				$params['metaCharsetTag'] = $config['tx_mfchtmltag.']['metaCharsetTag'];
			}


				// Add only other html-tags directly after the metaCharsetTag
				// if they are available
			if ($config['tx_mfchtmltag.']['metaCharsetTag.']['insertAfter']) {
				$params['metaCharsetTag'] .= LF . $config['tx_mfchtmltag.']['metaCharsetTag.']['insertAfter'];
			}
		}
	}

	public function renderPreProcess() {
			// Get the page object
		$pageSetup = $GLOBALS['TSFE']->pSetup;

		if (isset($pageSetup['pageTemplate']) && $pageSetup['pageTemplate'] !== '') {
			/** @var tslib_fe $typoscriptFrontend */
			$typoscriptFrontend = $GLOBALS['TSFE'];
			$typoscriptFrontend->getPageRenderer()->setTemplateFile(t3lib_div::getFileAbsFileName($pageSetup['pageTemplate']));
		}
	}
}

?>